Package org.eclipse.rap.rwt.service

## Class ApplicationContextEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.rap.rwt.service.ApplicationContextEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class ApplicationContextEvent
    extends java.util.EventObject

Events of this type signal a state change of an application context.

Since:
  2.2
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`ApplicationContextEvent​(ApplicationContext context)` Creates a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`ApplicationContext` `getApplicationContext()` Returns the application context that this event is related to.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ApplicationContextEvent

    public ApplicationContextEvent​(ApplicationContext context)

Creates a new instance of this class.

Parameters:
  `context` - the application context for this event

### Method Detail

#### getApplicationContext

    public ApplicationContext getApplicationContext()

Returns the application context that this event is related to.

Returns:
  the application context